# Uses of Class
org.opensaml.profile.context.EventContext

Packages that use EventContext
Package
Description
org.opensaml.profile.action.impl
Implementations of general profile actions.
org.opensaml.profile.context
Context classes in support of profile behavior.
org.opensaml.profile.context.navigate
Functions for navigating profile context information.
org.opensaml.saml.common.profile.logic
Functions and predicates supporting common SAML profile behavior.
org.opensaml.saml.saml1.profile.impl
Implementations of SAML 1.x profile behavior.
org.opensaml.saml.saml2.profile.impl
Implementations of SAML 2.0 profile behavior.
org.opensaml.soap.soap11.profile.impl
Profile actions related to SOAP 1.1.

## Uses of EventContext in org.opensaml.profile.action.impl

Fields in org.opensaml.profile.action.impl with type parameters of type EventContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,EventContext>`
LogEvent.`eventContextLookupStrategy`
Strategy function for access to `EventContext` to check.
Method parameters in org.opensaml.profile.action.impl with type arguments of type EventContext
Modifier and Type
Method
Description
`void`
LogEvent.`setEventContextLookupStrategy(Function<ProfileRequestContext,EventContext> strategy)`
Set lookup strategy for `EventContext` to check.

## Uses of EventContext in org.opensaml.profile.context

Subclasses of EventContext in org.opensaml.profile.context
Modifier and Type
Class
Description
`final class`
`PreviousEventContext<EventType>`
A context component which holds the last result produced by a profile action that produced an "event".
Methods in org.opensaml.profile.context that return EventContext
Modifier and Type
Method
Description
`EventContext`
EventContext.`setEvent(Object newEvent)`
Set the event represented by the context.

## Uses of EventContext in org.opensaml.profile.context.navigate

Methods in org.opensaml.profile.context.navigate that return EventContext
Modifier and Type
Method
Description
`EventContext`
CurrentOrPreviousEventLookup.`apply(ProfileRequestContext input)`

## Uses of EventContext in org.opensaml.saml.common.profile.logic

Fields in org.opensaml.saml.common.profile.logic with type parameters of type EventContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,EventContext>`
DefaultLocalErrorPredicate.`eventContextLookupStrategy`
Strategy function for access to `EventContext` to check.
Method parameters in org.opensaml.saml.common.profile.logic with type arguments of type EventContext
Modifier and Type
Method
Description
`void`
DefaultLocalErrorPredicate.`setEventContextLookupStrategy(Function<ProfileRequestContext,EventContext> strategy)`
Set lookup strategy for `EventContext` to check.

## Uses of EventContext in org.opensaml.saml.saml1.profile.impl

Fields in org.opensaml.saml.saml1.profile.impl with type parameters of type EventContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,EventContext>`
AddStatusToResponse.StatusCodeMappingFunction.`eventContextLookupStrategy`
Strategy function for access to `EventContext` to check.
Method parameters in org.opensaml.saml.saml1.profile.impl with type arguments of type EventContext
Modifier and Type
Method
Description
`void`
AddStatusToResponse.StatusCodeMappingFunction.`setEventContextLookupStrategy(Function<ProfileRequestContext,EventContext> strategy)`
Set lookup strategy for `EventContext` to check.

## Uses of EventContext in org.opensaml.saml.saml2.profile.impl

Fields in org.opensaml.saml.saml2.profile.impl with type parameters of type EventContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,EventContext>`
AddStatusToResponse.StatusCodeMappingFunction.`eventContextLookupStrategy`
Strategy function for access to `EventContext` to check.
Method parameters in org.opensaml.saml.saml2.profile.impl with type arguments of type EventContext
Modifier and Type
Method
Description
`void`
AddStatusToResponse.StatusCodeMappingFunction.`setEventContextLookupStrategy(Function<ProfileRequestContext,EventContext> strategy)`
Set lookup strategy for `EventContext` to check.

## Uses of EventContext in org.opensaml.soap.soap11.profile.impl

Fields in org.opensaml.soap.soap11.profile.impl with type parameters of type EventContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,EventContext>`
AddSOAPFault.FaultCodeMappingFunction.`eventContextLookupStrategy`
Strategy function for access to `EventContext` to check.
Method parameters in org.opensaml.soap.soap11.profile.impl with type arguments of type EventContext
Modifier and Type
Method
Description
`void`
AddSOAPFault.FaultCodeMappingFunction.`setEventContextLookupStrategy(Function<ProfileRequestContext,EventContext> strategy)`
Set lookup strategy for `EventContext` to check.